# Outgoing Wire Transfers

The Outgoing Wire Transfer transaction is used to transfer funds from managed accounts to an external bank account.


## Create an outgoing wire transfer

 - [POST /outgoing_wire_transfers](https://api.weavr.io/products/multi/openapi/outgoing-wire-transfers/outgoingwiretransfercreate.md): Transfers funds from managed accounts to an external bank account.

The Outgoing Wire Transfer Profile (configured in the Multi Portal) specified determines the behaviour and restrictions of the transaction (for example, fees).

Note that even if the transaction is created successfully, you still need to check its state in order to determine if it is pending completion of an authentication challenge by the user.

## Get all outgoing wire transfer transactions

 - [GET /outgoing_wire_transfers](https://api.weavr.io/products/multi/openapi/outgoing-wire-transfers/outgoingwiretransfersget.md): Retrieves all the outgoing wire transfer transactions performed by the logged-in identity.

## Get an outgoing wire transfer transaction

 - [GET /outgoing_wire_transfers/{id}](https://api.weavr.io/products/multi/openapi/outgoing-wire-transfers/outgoingwiretransferget.md): Retrieves the outgoing wire transfer identified by the id path parameter.

## Cancel an outgoing wire transfer transaction

 - [POST /outgoing_wire_transfers/{id}/cancel](https://api.weavr.io/products/multi/openapi/outgoing-wire-transfers/outgoingwiretransfersinglecancel.md): Cancel the outgoing wire transfer identified by the id path parameter.

## Confirm an outgoing wire transfer transaction

 - [POST /outgoing_wire_transfers/{id}/confirm](https://api.weavr.io/products/multi/openapi/outgoing-wire-transfers/outgoingwiretransferconfirm.md): Confirm the outgoing wire transfer identified by the id path parameter.

## Issue a one-time password that can be used to verify an outgoing wire transfer (deprecated)

 - [POST /outgoing_wire_transfers/{id}/challenges/otp/{channel}](https://api.weavr.io/products/multi/openapi/outgoing-wire-transfers/outgoingwiretransferscachallenge.md): Deprecated in favour of Challenges endpoints

Starts the verification process for an outgoing wire transfer in which a one-time password is sent to a device belonging to the logged-in user that was previously enrolled through the /authentication_factors/otp/{channel} endpoint.

You should only start this process if the outgoing wire transfer state is PENDING_CHALLENGE.

_Note that on the Sandbox Environment, text messages are not sent and the one-time-password is always \"123456\"._

## Verify an outgoing wire transfer using a one-time password (deprecated)

 - [POST /outgoing_wire_transfers/{id}/challenges/otp/{channel}/verify](https://api.weavr.io/products/multi/openapi/outgoing-wire-transfers/outgoingwiretransferscaverify.md): Deprecated in favour of Challenges endpoints

Completes the verification process for an outgoing wire transfer.

If the outcome of the verification is successful, the outgoing wire transfer transaction is executed.

If not verified challenge expires after 5 minutes and the number of incorrect OTP attempts is limited to reduce the risk of fraud.

_Note that on the Sandbox Environment, text messages are not sent and the verificationCode is always \"123456\"._

## Issue a push notification that can be used to verify an outgoing wire transfer (deprecated)

 - [POST /outgoing_wire_transfers/{id}/challenges/push/{channel}](https://api.weavr.io/products/multi/openapi/outgoing-wire-transfers/outgoingwiretransferscachallengepush.md): Deprecated in favour of Challenges endpoints

Starts the verification process for an outgoing wire transfer in which a push notification is sent to a device belonging to the logged-in user that was previously enrolled through the /authentication_factors/push/{channel} endpoint.

You should only start this process if the outgoing wire transfer state is PENDING_CHALLENGE.

